Subject: bug#6192: 24.0.50; eldoc-mode: unexpected recentering

From: martin rudalics <[email-masked]>
Date: Sun, 16 May 2010 10:17:36 +0200

> Of course; so can you confirm that you do not see the resizing with -Q
 > and then enabling eldoc mode?

I have tried the trunk with -Q now and can't trigger the resizing any
more, neither with a hook nor when setting it manually.  So AFAIAC this
is a Heisenbug.

 > I'm not sure what you mean by "old situation"; if you mean does the
 > recentered line revert to the penultimate line, then no, there is no
 > change when the echo area returns to one line.

Unfortunately, that is to be expected.  Gerd's minibuffer code only
restores window heights and top lines but neither start positions nor
points.  I here rewrote the code in the meantime but don't restore start
positions and points either.  Maybe shrink_mini_window should be done by
simply restoring the window configuration that existed before resizing
the minibuffer started, but I'm not sure.

martin